Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.util
Class ParsingState

    java.lang.Object
      org.apache.poi.hdf.model.util.ParsingState

public class ParsingState
extends java.lang.Object

Constructor Summary
`ParsingState(int firstPage, FormattedDiskPage fkp)`

Method Summary
`int` | `getCurrentPageIndex()`
`int` | `getCurrentPropIndex()`
`FormattedDiskPage` | `getFkp()`
`void` | `setState(int currentPageIndex, FormattedDiskPage fkp, int currentPropIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsingState

    public ParsingState(int firstPage,
                        FormattedDiskPage fkp)

Method Detail

### getCurrentPageIndex

    public int getCurrentPageIndex()

### getFkp

    public FormattedDiskPage getFkp()

### getCurrentPropIndex

    public int getCurrentPropIndex()

### setState

    public void setState(int currentPageIndex,
                         FormattedDiskPage fkp,
                         int currentPropIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.